import { ElementRef, OnChanges, OnInit, Renderer2 } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
export declare enum prefferedText {
    plainTextData = 1,
    richTextData = 2
}
export declare class GetFormatTextDirective implements OnChanges, OnInit {
    private sanitized;
    private el;
    private renderer;
    constructor(sanitized: DomSanitizer, el: ElementRef, renderer: Renderer2);
    libGetFormatText: any;
    preferredTextFormat: number;
    plainText: string;
    richText: string;
    ngOnInit(): void;
    ngOnChanges(): void;
    setDisplayData(preferredTextFormat: number, plainText: string, richText: string): {
        preferredTextFormatType: prefferedText;
        displayText: string;
    };
}
